### Struct

# Gck SessionInfo

#### Description [src]

    struct GckSessionInfo {
      gulong slot_id;
      gulong state;
      gulong flags;
      gulong device_error;
    }

Information about the session. This is analogous to a CK_SESSION_INFO structure.

When done with this structure, release it using gck_session_info_free().

###### Structure members

`slot_id`

  The handle of the PKCS11 slot that this session is opened on.

`state`

  The user login state of the session.

`flags`

  Various PKCS11 flags.

`device_error`

  The last device error that occurred from an operation on this session.

#### Instance methods

###### gck_session_info_copy

Make a new copy of a session info structure.

###### gck_session_info_free

Free the GckSessionInfo structure and all associated memory.